version: 0.2

phases:
  pre_build:
    commands:
      - echo Logging in to Amazon ECR...
      - aws --version
      - AWS_ACCOUNT_ID=$(aws sts get-caller-identity --query Account --output text)
      - aws ecr get-login-password --region $AWS_DEFAULT_REGION | docker login --username AWS --password-stdin ${AWS_ACCOUNT_ID}.dkr.ecr.$AWS_DEFAULT_REGION.amazonaws.com
      - REPOSITORY_URI=616112514298.dkr.ecr.us-east-1.amazonaws.com/wombase
  build:
    commands:
      - echo Build started on `date`
      - echo Building the Docker image...
      - docker build -t $REPOSITORY_URI:latest .
      - IMAGE_TAG=$(date "+%F%H%M%S")
      - docker image tag $REPOSITORY_URI:latest $REPOSITORY_URI:$IMAGE_TAG
  post_build:
    commands:
      - echo Build completed on `date`
      - echo Pushing the Docker images...
      - docker push $REPOSITORY_URI:$IMAGE_TAG
      - printf '{"ImageURI":"%s"}' $REPOSITORY_URI:$IMAGE_TAG > imageDetail.json
#artifacts:
#  files:
#    - 'image*.json'
#    - 'appspec.yaml'
#    - 'taskdef.json'
#  secondary-artifacts:
#    DefinitionArtifact:
#      files:
#        - appspec.yaml
#        - taskdef.json
#    ImageArtifact:
#      files:
#        - imageDetail.json
